#include<bits/stdc++.h>
#include<stdio.h>
using namespace std;

main(){
	int n,l,i,j=0,b=0;
	
	cin>>n>>l;
	
	int a[n];
	
	for(i=0;i<n;i++)
	{
		cin>>a[i];
	}
	
		for(i=0;i<n;i++)
	{
		if(a[i]>=l)
		{
			b++;
		}
		else
		{
			break;
		}
	}
	
	if(b==n)
	{
		cout<<-1;
	}
	else
	{
		cout<<b;
	}
	
}